<?php
defined( '_JEXEC' ) or die;

jimport('joomla.application.component.modeladmin');

class PlansModelOrder extends JModelAdmin
{
	public function getTable($type = 'plan', $prefix = 'PlansTable', $config = array())
	{
		return JTable::getInstance($type, $prefix, $config);
	}

    protected function loadFormData()
	{
		$data = JFactory::getApplication()->getUserState('com_plans.order.data', array());

		if (empty($data)) {
			$data = $this->getItem();
		}
		return $data;
	}

	public function getForm($data = array(), $loadData = true)
	{
			$form = $this->loadForm('com_plans.order', 'order', array('control' => 'jform', 'load_data' => $loadData));

		return $form;
	}
	
	public function planPrice($product_id)
    {
        $db=JFactory::getDbo();
        $query=$db->getQuery(true);
        $query->select('retail_per_year');
        $query->from('#__plans');
        $query->where('(rp_product_id='.$product_id.')');

        $db->setQuery($query);
        $row=$db->loadObject();
		$plan_price = $row->retail_per_year;
        return $plan_price;
    }

	public function getOrder()
	{	
		$post = JRequest::get( 'post' );
		$postData = $post['jform'];
		$orderData = new stdClass;
		$orderData->rp_product_id = $postData['rp_product_id'];
		$orderData->username = $postData['username'];	//can use latter for update verification
		$orderData->email = $postData['email'];	//can use latter for update verification
		//$orderData->password = $postData['password'];	//can use latter for update verification
		$orderData->company = $postData['company'];
		$orderData->firstname = $postData['firstname'];
		$orderData->lastname = $postData['lastname'];

		$orderData->ip = $_SERVER["REMOTE_ADDR"]; //'180.234.240.244';//
		$orderData->domain_type = $postData['domain_order_type'];
		$orderData->domain_name = $postData['domain_sld'];
		$orderData->domain_ext = $postData['domain_tld'];
		$orderData->domain_epp = $postData['epp_code'];
		$orderData->domain_host_name = $postData['existing_domain'];

		$orderData->vat_number = $postData['vat_num'];
		$orderData->pre_installed_script = $postData['pre_installed_script'];
		$orderData->data_center = $postData['data_center'];
		$orderData->address = $postData['address'];
		$orderData->city = $postData['city'];
		
		if($postData['country'] == 'US')
		{
			$orderData->state = $postData['state'];
		}else
		{
			$orderData->state = $postData['state_text'];
		}
		$orderData->zip = $postData['zip'];
		$orderData->country = $postData['country'];
		
		if(isset($postData['eu_specific_ques']))
		{
			$orderData->is_supplier_eu = $postData['eu_specific_ques'];
		}else
		{
			$orderData->is_supplier_eu = '';
		}
		$orderData->phone = $postData['phone'];

		$orderData->payment_method = $postData['payment_method'];
		$orderData->payment_currency = 'USD';
		
		//finding payble amount	
			$plan_id = $postData['rp_product_id'];
			$plan_price = $this->planPrice($plan_id);
			$package_price = $postData['domain_price'] + $plan_price;
		$orderData->payable_amount = $package_price;
		$orderData->txn_id = '';
		$orderData->paid_amount = '';
		$orderData->payment_status = '';
		$orderData->res_panel_status = 0;
		//$orderData->date = ;
/* If necessary to deal with currency/currency type & Order period:		
		$orderData->currency = 
		$orderData->period = 1;		//should be fixed later
*/		
	//print_r($orderData); die();	
		$db=JFactory::getDbo();
		$db->insertObject('#__order_records', &$orderData );
	//var_dump($db); die();	
		$orderData->insert_id = $db->insertid();

		$orderData->payment_amount = $package_price;
		return $orderData;
	
	}
	
}
